#include "core/audio/audio_adapter.hpp"

#include "core/resources/resource_cache.hpp"

namespace AudioResource {

    auto getMusic(const std::string& name) -> Ja::Music* {
        return Resource::Cache::get()->getMusic(name);
    }

    auto getSound(const std::string& name) -> Ja::Sound* {
        return Resource::Cache::get()->getSound(name);
    }

}  // namespace AudioResource
